#include<stdio.h>
#include<math.h>

int main()
    {
        float i,j,sum,fact,s,n;

        printf("enter the value: ");
        scanf("%f", &n);

        sum=0;

        for ( i = 1; i <= n; i=i+2)
        {
            fact = 1;

            for ( j = 1; j <= i; j++)
            {
                fact = fact * j;
            }
            
            sum = sum + (i/fact);
        }

        printf("%f", sum);
    
        return 0;
    }